Skip to main content
GET
/
api2
/
v1
/
termBases
/
{termBaseUid}
/
concepts
/
{conceptId}
/
terms
Get terms of concept
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/termBases/{termBaseUid}/concepts/{conceptId}/terms \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "terms": [
    [
      {
        "text": "<string>",
        "caseSensitive": true,
        "conceptId": "<string>",
        "conceptNote": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "createdBy": {
          "email": "<string>",
          "firstName": "<string>",
          "id": "<string>",
          "lastName": "<string>",
          "uid": "<string>",
          "userName": "<string>"
        },
        "customFields": [
          {
            "fieldName": "<string>",
            "value": {}
          }
        ],
        "definition": "<string>",
        "domain": "<string>",
        "exactMatch": true,
        "forbidden": true,
        "gender": "<string>",
        "id": "<string>",
        "lang": "<string>",
        "modifiedAt": "2023-11-07T05:31:56Z",
        "modifiedBy": {
          "email": "<string>",
          "firstName": "<string>",
          "id": "<string>",
          "lastName": "<string>",
          "uid": "<string>",
          "userName": "<string>"
        },
        "note": "<string>",
        "number": "<string>",
        "partOfSpeech": "<string>",
        "preferred": true,
        "rtl": true,
        "shortTranslation": "<string>",
        "subDomains": [
          "<string>"
        ],
        "termType": "<string>",
        "url": "<string>",
        "usage": "<string>",
        "writable": true
      }
    ]
  ],
  "writable": true
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

termBaseUid
string
required
conceptId
string
required

Response

successful operation

id
string
terms
object[][]
writable
boolean